// ExtClkDlg.h : header file
//

#include"drvlinx.h"
#include"dlcodes.h"

#if !defined(AFX_EXTCLKDLG_H__2D5004B3_48DC_44D6_B476_833FCBDF2FCA__INCLUDED_)
#define AFX_EXTCLKDLG_H__2D5004B3_48DC_44D6_B476_833FCBDF2FCA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CExtClkDlg dialog

class CExtClkDlg : public CDialog
{
// Construction
public:
	CExtClkDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CExtClkDlg)
	enum { IDD = IDD_EXTCLK_DIALOG };
	CButton	m_startButton;
	CListBox	m_readlist;
	UINT	m_deviceNumber;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExtClkDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CExtClkDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpen();
	afx_msg void OnQuit();
	afx_msg void OnStart();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void clearBuffer(void);
	void done(void);
	BYTE* m_pData;
	WORD m_DLmsg;
	int m_samples;
	void showMessage(DL_ServiceRequest *SR);
	int m_logicalChannel;
	int m_logicalDevice;
	DL_ServiceRequest* m_pSR;
	HINSTANCE m_driverInstance;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXTCLKDLG_H__2D5004B3_48DC_44D6_B476_833FCBDF2FCA__INCLUDED_)
